%define upstream_name    Data-Validate-Domain
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Light weight module for validating domains
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Domain::TLD)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module collects domain validation routines to make input validation,
and untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status
explicitly. Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1024968
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 967799
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 850237
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 748103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 684253
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 510668
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 365533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 308737
- imported package perl-Data-Validate-Domain


* Sun Oct 21 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
